<?php
#   Copyright by: Manuel Staechele
#   Support: www.ilch.de


defined ('main') or die ( 'no direct access' );
defined ('admin') or die ( 'only admin access' );

/*
* Copyright (c) 2004-2005, woah-projekt.de
* All rights reserved.
*
* Redistribution and use in source and binary forms, with or without
* modification, are permitted provided that the following conditions
* are met:
*
* * Redistributions of source code must retain the above copyright
*   notice, this list of conditions and the following disclaimer.
* * Redistributions in binary form must reproduce the above copyright
*   notice, this list of conditions and the following disclaimer
*   in the documentation and/or other materials provided with the
*   distribution.
* * Neither the name of the phgstats project (woah-projekt.de)
*   nor the names of its contributors may be used to endorse or
*   promote products derived from this software without specific
*   prior written permission.
*
* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
* "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
* LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
* FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
* COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
* INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
* BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
* LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
* CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
* LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
* ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
* POSSIBILITY OF SUCH DAMAGE.
*/
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
  </head>
  <body>
  <table align="center">
    <tr>
      <th align="center">
     <h2>Serverview phgstats Admintool</h2>
      </th>
    </tr>
    <tr>
      <td align="center">
          <table>
            <tr>
              <th></th>
              <th>Gametype</th>
              <th>IP</th>
              <th>Port</th>
              <th>Query- Port</th>
              <th>Country</th>
            </tr>
<?php
// include config
require('phgstats/settings/config.inc.php');

// add server
if (isset($_POST['add']))
{
    // config header
    $config = '<?php' . "\n" .
              '// width of phgstats table' . "\n" .
              '$phgtable =' . "'" . '500' . "'" . ';' . "\n\n" .
              '/* game server variables:' . "\n" .
              ' * aa, atron, bf, bfv, bf2, cod, cod2, d3, et, fear, hl_old, hl, hl2, mohaa,' . "\n" .
              ' * pk, qw, q1. q2, q3, q4, rtcw, rune, sof2, ut, ut2003, ut2004' . "\n" .
              ' */' . "\n\n" .
              '// server settings  ( ' . "'" . 'game:ip.ip.ip.ip:port:(queryport)' . "'\n" .
              '// Read the INSTALL file for more Informations' . "\n" .
              '$gameserver = array(' . "\n";

    for ($srv_count = 0; $srv_count < count($gameserver); $srv_count++)
    {
        $server = explode(':', $gameserver[$srv_count]);
        $land = $country[$srv_count];

        $serverarray = $serverarray . "'" .
                       $server[0] . ':' .
                       $server[1] . ':' .
                       $server[2] . ':' .
                       $server[3] . "',\n";

        $countryarray = $countryarray . "'" .
                        $land         . "',\n";
    }
    $serverarray = $serverarray          . "'" .
                   $_POST['gametype']    . ':' .
                   $_POST['server_ip']   . ':' .
                   $_POST['server_port'] . ':' .
                   $_POST['server_query']. "',\n";

    $countryarray = $countryarray . "'" .
                    $_POST['country']   . "',\n";

    $config = $config . $serverarray . '); ' . "\n\n";
    $config = $config . '// server country' . "\n" .
                        '$country = array(' . "\n";
    $config = $config . $countryarray . '); ' . "\n\n" . '?>';

    fwrite(fopen ('phgstats/settings/config.inc.php', "w+"), $config);
}
// delete server
elseif (isset($_GET['id']))
{
    $config = '<?php' . "\n" .
              '// width of phgstats table' . "\n" .
              '$phgtable =' . "'" . '500' . "'" . ';' . "\n\n" .
              '/* game server variables:' . "\n" .
              ' * aa, atron, bf, bfv, bf2, cod, cod2, d3, et, fear, hl_old, hl, hl2, mohaa,' . "\n" .
              ' * pk, qw, q1. q2, q3, q4, rtcw, rune, sof2, ut, ut2003, ut2004' . "\n" .
              ' */' . "\n\n" .
              '// server settings  ( ' . "'" . 'game:ip.ip.ip.ip:port:(queryport)' . "'\n" .
              '// Read the INSTALL file for more Informations' . "\n" .
              '$gameserver = array(' . "\n";

    for ($srv_count = 0; $srv_count < count($gameserver); $srv_count++)
    {
        if ($srv_count != $_GET['id'])
        {
            $server = explode(':', $gameserver[$srv_count]);
            $land = $country[$srv_count];

            $serverarray = $serverarray . "'" .
                           $server[0] . ':' .
                           $server[1] . ':' .
                           $server[2] . ':' .
                           $server[3] . "',\n";

            $countryarray = $countryarray . "'" .
                            $land         . "',\n";
        }
    }

    $config = $config . $serverarray . '); ' . "\n\n";
    $config = $config . '// server country' . "\n" .
                        '$country = array(' . "\n";
    $config = $config . $countryarray . '); ' . "\n\n" . '?>';

    fwrite(fopen ('phgstats/settings/config.inc.php', "w+"), $config);
}
// put server one line up
elseif (isset($_GET['up']))
{
    $config = '<?php' . "\n" .
              '// width of phgstats table' . "\n" .
              '$phgtable =' . "'" . '500' . "'" . ';' . "\n\n" .
              '/* game server variables:' . "\n" .
              ' * aa, atron, bf, bfv, bf2, cod, cod2, d3, et, fear, hl_old, hl, hl2, mohaa,' . "\n" .
              ' * pk, qw, q1. q2, q3, q4, rtcw, rune, sof2, ut, ut2003, ut2004' . "\n" .
              ' */' . "\n\n" .
              '// server settings  ( ' . "'" . 'game:ip.ip.ip.ip:port:(queryport)' . "'\n" .
              '// Read the INSTALL file for more Informations' . "\n" .
              '$gameserver = array(' . "\n";

    for ($srv_count = 0; $srv_count < count($gameserver); $srv_count++)
    {
        if ($srv_count == $_GET['up'] - 1)
        {
            $changesrv = $gameserver[$srv_count];
            $changecnt =    $country[$srv_count];

            $gameserver[$srv_count] = $gameserver[$srv_count + 1];
            $country   [$srv_count] = $country   [$srv_count + 1];
        }
        if ($srv_count == $_GET['up'])
        {
            $gameserver[$srv_count] = $changesrv;
            $country   [$srv_count] = $changecnt;
        }
        $server = explode(':', $gameserver[$srv_count]);
        $land = $country[$srv_count];

        $serverarray = $serverarray . "'" .
                       $server[0] . ':' .
                       $server[1] . ':' .
                       $server[2] . ':' .
                       $server[3] . "',\n";

        $countryarray = $countryarray . "'" .
                        $land         . "',\n";

    }

    $config = $config . $serverarray . '); ' . "\n\n";
    $config = $config . '// server country' . "\n" .
                        '$country = array(' . "\n";
    $config = $config . $countryarray . '); ' . "\n\n" . '?>';

    fwrite(fopen ('phgstats/settings/config.inc.php', "w+"), $config);
}
// put server one line down
elseif (isset($_GET['down']))
{
    $config = '<?php' . "\n" .
              '// width of phgstats table' . "\n" .
              '$phgtable =' . "'" . '500' . "'" . ';' . "\n\n" .
              '/* game server variables:' . "\n" .
              ' * aa, atron, bf, bfv, bf2, cod, cod2, d3, et, fear, hl_old, hl, hl2, mohaa,' . "\n" .
              ' * pk, qw, q1. q2, q3, q4, rtcw, rune, sof2, ut, ut2003, ut2004' . "\n" .
              ' */' . "\n\n" .
              '// server settings  ( ' . "'" . 'game:ip.ip.ip.ip:port:(queryport)' . "'\n" .
              '// Read the INSTALL file for more Informations' . "\n" .
              '$gameserver = array(' . "\n";

    for ($srv_count = 0; $srv_count < count($gameserver); $srv_count++)
    {
        if ($srv_count == $_GET['down'] + 1)
        {
            $gameserver[$srv_count] = $changesrv;
            $country   [$srv_count] = $changecnt;
        }
        if ($srv_count == $_GET['down'])
        {
            $changesrv = $gameserver[$srv_count];
            $changecnt =    $country[$srv_count];

            $gameserver[$srv_count] = $gameserver[$srv_count + 1];
            $country   [$srv_count] = $country   [$srv_count + 1];
        }
        $server = explode(':', $gameserver[$srv_count]);
        $land = $country[$srv_count];

        $serverarray = $serverarray . "'" .
                       $server[0] . ':' .
                       $server[1] . ':' .
                       $server[2] . ':' .
                       $server[3] . "',\n";

        $countryarray = $countryarray . "'" .
                        $land         . "',\n";

    }

    $config = $config . $serverarray . '); ' . "\n\n";
    $config = $config . '// server country' . "\n" .
                        '$country = array(' . "\n";
    $config = $config . $countryarray . '); ' . "\n\n" . '?>';

    fwrite(fopen ('phgstats/settings/config.inc.php', "w+"), $config);
}


// show servers
require('phgstats/settings/config.inc.php');
require('phgstats/settings/style.inc.php');

for ($srv_count = 0; $srv_count < count($gameserver); $srv_count++)
{
    $server = explode(':', $gameserver[$srv_count]);
    $land = $country[$srv_count];
?>
            <tr>
              <td>
<?php
if ($srv_count != 0)
{
?>
<a class="arrow" href="admin.php?m=phgstats&up=<?php echo $srv_count; ?>"><img src="include/images/icons/pfeilo.gif" alt="up" title="up" border="0"></a>
<?php
}
?>
<img src="include/images/icons/spacer.png" alt="spacer">
<?php
if ($srv_count != count($gameserver) - 1)
{
?>
<a class="arrow" href="admin.php?m=phgstats&down=<?php echo $srv_count; ?>"><img src="include/images/icons/pfeilu.gif" alt="down" title="down" border="0"></a>
<?php
}
?>            </td>
              <td><?php echo $server[0]; ?></td>
              <td><?php echo $server[1]; ?></td>
              <td><?php echo $server[2]; ?></td>
              <td><?php echo $server[3]; ?></td>
              <td><?php echo $land; ?></td>
              <td align="center"><a href="admin.php?m=phgstats&id=<?php echo $srv_count; ?>"><img src="include/images/icons/del.gif" alt="Delete/L&ouml;schen" title="Delete/L&ouml;schen" border="0"></a></td>
            </tr>
<?php
}
?>
          <form method="POST" action="admin.php?m=phgstats">
            <tr>
              <td></td>
              <td>
                <select name="gametype">
                  <option value="ts">Teamspeak 2</option>
                  <option value="aa">Americas Army</option>
                  <option value="atron">Armagetronad</option>
                  <option value="bf">Battlefield 1942</option>
                  <option value="bfv">Battlefield Vietnam</option>
                  <option value="bf2">Battlefield 2</option>
                  <option value="cod">Call of Duty</option>
                  <option value="cod2">Call of Duty 2</option>
                  <option value="d3">Doom 3</option>
                  <option value="et">Enemy Territory</option>
                  <option value="fear">F.E.A.R</option>
                  <option value="hl_old">Half-Life / CS OLD</option>
                  <option value="hl">Half-Life / CS</option>
                  <option value="hl2">Half-Life 2 / CS:S</option>
                  <option value="mohaa">Medal of Honor</option>
                  <option value="pk">Painkiller</option>
                  <option value="rtcw">Return to Caste Wolfenstein</option>
                  <option value="rune">Rune</option>
                  <option value="sof2">Soldier of Fortune 2</option>
                  <option value="ut">Unreal Tournament</option>
                  <option value="ut2003">Unreal Tournament 2003</option>
                  <option value="ut2004">Unreal Tournament 2004</option>
                  <option value="qw">Quakeworld</option>
                  <option value="q1">Quake 1</option>
                  <option value="q2">Quake 2</option>
                  <option value="q3">Quake 3</option>
                  <option value="q4">Quake 4</option>
                </select>
              </td>
              <td>
                <input type="text" size="15" name="server_ip">
              </td>
              <td>
                <input type="text" size="5" name="server_port">
              </td>
              <td>
                <input type="text" size="5" name="server_query">
              </td>
              <td>
                <input type="text" size="7" name="country">
              </td>
              <td>
                <input type="submit" name="add" value="Add / Hinzuf&uuml;gen">
              </td>
            </tr>
          </form>
        </table>
      </td>
    </tr>
  </table>

























  <table align="center">
    <tr>
      <th align="center">
     <h2>Navibox phgstats Admintool</h2>
      </th>
    </tr>
    <tr>
      <td align="center">
          <table>
            <tr>
              <th></th>
              <th>Gametype</th>
              <th>IP</th>
              <th>Port</th>
              <th>Query- Port</th>
              <th>Country</th>
            </tr>
<?php
// include config
require('phgstats/settings/config_navi.inc.php');

// add server
if (isset($_POST['add_n']))
{
    // config header
    $config = '<?php' . "\n" .
              '// width of phgstats table' . "\n" .
              '$phgtablebox =' . "'" . '150' . "'" . ';' . "\n\n" .
              '/* game server variables:' . "\n" .
              ' * aa, atron, bf, bfv, bf2, cod, cod2, d3, et, fear, hl_old, hl, hl2, mohaa,' . "\n" .
              ' * pk, qw, q1. q2, q3, q4, rtcw, rune, sof2, ut, ut2003, ut2004' . "\n" .
              ' */' . "\n\n" .
              '// server settings  ( ' . "'" . 'game:ip.ip.ip.ip:port:(queryport)' . "'\n" .
              '// Read the INSTALL file for more Informations' . "\n" .
              '$gameservernavi = array(' . "\n";

    for ($srv_count_n = 0; $srv_count_n < count($gameservernavi); $srv_count_n++)
    {
        $server_n = explode(':', $gameservernavi[$srv_count_n]);
        $land_n = $country[$srv_count_n];

        $serverarray = $serverarray . "'" .
                       $server_n[0] . ':' .
                       $server_n[1] . ':' .
                       $server_n[2] . ':' .
                       $server_n[3] . "',\n";

        $countryarray = $countryarray . "'" .
                        $land_n         . "',\n";
    }
    $serverarray = $serverarray          . "'" .
                   $_POST['gametype']    . ':' .
                   $_POST['server_ip']   . ':' .
                   $_POST['server_port'] . ':' .
                   $_POST['server_query']. "',\n";

    $countryarray = $countryarray . "'" .
                    $_POST['country']   . "',\n";

    $config = $config . $serverarray . '); ' . "\n\n";
    $config = $config . '// server country' . "\n" .
                        '$country = array(' . "\n";
    $config = $config . $countryarray . '); ' . "\n\n" . '?>';

    fwrite(fopen ('phgstats/settings/config_navi.inc.php', "w+"), $config);
}
// delete server
elseif (isset($_GET['id_n']))
{
    $config = '<?php' . "\n" .
              '// width of phgstats table' . "\n" .
              '$phgtablebox =' . "'" . '150' . "'" . ';' . "\n\n" .
              '/* game server variables:' . "\n" .
              ' * aa, atron, bf, bfv, bf2, cod, cod2, d3, et, fear, hl_old, hl, hl2, mohaa,' . "\n" .
              ' * pk, qw, q1. q2, q3, q4, rtcw, rune, sof2, ut, ut2003, ut2004' . "\n" .
              ' */' . "\n\n" .
              '// server settings  ( ' . "'" . 'game:ip.ip.ip.ip:port:(queryport)' . "'\n" .
              '// Read the INSTALL file for more Informations' . "\n" .
              '$gameservernavi = array(' . "\n";

    for ($srv_count_n = 0; $srv_count_n < count($gameservernavi); $srv_count_n++)
    {
        if ($srv_count_n != $_GET['id_n'])
        {
            $server_n = explode(':', $gameservernavi[$srv_count_n]);
            $land_n = $country[$srv_count_n];

            $serverarray = $serverarray . "'" .
                           $server_n[0] . ':' .
                           $server_n[1] . ':' .
                           $server_n[2] . ':' .
                           $server_n[3] . "',\n";

            $countryarray = $countryarray . "'" .
                            $land_n         . "',\n";
        }
    }

    $config = $config . $serverarray . '); ' . "\n\n";
    $config = $config . '// server country' . "\n" .
                        '$country = array(' . "\n";
    $config = $config . $countryarray . '); ' . "\n\n" . '?>';

    fwrite(fopen ('phgstats/settings/config_navi.inc.php', "w+"), $config);
}
// put server one line up
elseif (isset($_GET['up_n']))
{
    $config = '<?php' . "\n" .
              '// width of phgstats table' . "\n" .
              '$phgtablebox =' . "'" . '150' . "'" . ';' . "\n\n" .
              '/* game server variables:' . "\n" .
              ' * aa, atron, bf, bfv, bf2, cod, cod2, d3, et, fear, hl_old, hl, hl2, mohaa,' . "\n" .
              ' * pk, qw, q1. q2, q3, q4, rtcw, rune, sof2, ut, ut2003, ut2004' . "\n" .
              ' */' . "\n\n" .
              '// server settings  ( ' . "'" . 'game:ip.ip.ip.ip:port:(queryport)' . "'\n" .
              '// Read the INSTALL file for more Informations' . "\n" .
              '$gameservernavi = array(' . "\n";

    for ($srv_count_n = 0; $srv_count_n < count($gameservernavi); $srv_count_n++)
    {
        if ($srv_count_n == $_GET['up_n'] - 1)
        {
            $changesrv_n = $gameservernavi[$srv_count_n];
            $changecnt_n =    $country[$srv_count_n];

            $gameservernavi[$srv_count_n] = $gameservernavi[$srv_count_n + 1];
            $country   [$srv_count_n] = $country   [$srv_count_n + 1];
        }
        if ($srv_count_n == $_GET['up_n'])
        {
            $gameservernavi[$srv_count_n] = $changesrv_n;
            $country   [$srv_count_n] = $changecnt_n;
        }
        $server_n = explode(':', $gameservernavi[$srv_count_n]);
        $land_n = $country[$srv_count_n];

        $serverarray = $serverarray . "'" .
                       $server_n[0] . ':' .
                       $server_n[1] . ':' .
                       $server_n[2] . ':' .
                       $server_n[3] . "',\n";

        $countryarray = $countryarray . "'" .
                        $land_n         . "',\n";

    }

    $config = $config . $serverarray . '); ' . "\n\n";
    $config = $config . '// server country' . "\n" .
                        '$country = array(' . "\n";
    $config = $config . $countryarray . '); ' . "\n\n" . '?>';

    fwrite(fopen ('phgstats/settings/config_navi.inc.php', "w+"), $config);
}
// put server one line down
elseif (isset($_GET['down_n']))
{
    $config = '<?php' . "\n" .
              '// width of phgstats table' . "\n" .
              '$phgtablebox =' . "'" . '150' . "'" . ';' . "\n\n" .
              '/* game server variables:' . "\n" .
              ' * aa, atron, bf, bfv, bf2, cod, cod2, d3, et, fear, hl_old, hl, hl2, mohaa,' . "\n" .
              ' * pk, qw, q1. q2, q3, q4, rtcw, rune, sof2, ut, ut2003, ut2004' . "\n" .
              ' */' . "\n\n" .
              '// server settings  ( ' . "'" . 'game:ip.ip.ip.ip:port:(queryport)' . "'\n" .
              '// Read the INSTALL file for more Informations' . "\n" .
              '$gameservernavi = array(' . "\n";

    for ($srv_count_n = 0; $srv_count_n < count($gameservernavi); $srv_count_n++)
    {
        if ($srv_count_n == $_GET['down_n'] + 1)
        {
            $gameservernavi[$srv_count_n] = $changesrv_n;
            $country   [$srv_count_n] = $changecnt_n;
        }
        if ($srv_count_n == $_GET['down_n'])
        {
            $changesrv_n = $gameservernavi[$srv_count_n];
            $changecnt_n =    $country[$srv_count_n];

            $gameservernavi[$srv_count_n] = $gameservernavi[$srv_count_n + 1];
            $country   [$srv_count_n] = $country   [$srv_count_n + 1];
        }
        $server_n = explode(':', $gameservernavi[$srv_count_n]);
        $land_n = $country[$srv_count_n];

        $serverarray = $serverarray . "'" .
                       $server_n[0] . ':' .
                       $server_n[1] . ':' .
                       $server_n[2] . ':' .
                       $server_n[3] . "',\n";

        $countryarray = $countryarray . "'" .
                        $land_n         . "',\n";

    }

    $config = $config . $serverarray . '); ' . "\n\n";
    $config = $config . '// server country' . "\n" .
                        '$country = array(' . "\n";
    $config = $config . $countryarray . '); ' . "\n\n" . '?>';

    fwrite(fopen ('phgstats/settings/config_navi.inc.php', "w+"), $config);
}


// show servers
require('phgstats/settings/config_navi.inc.php');
require('phgstats/settings/style.inc.php');

for ($srv_count_n = 0; $srv_count_n < count($gameservernavi); $srv_count_n++)
{
    $server_n = explode(':', $gameservernavi[$srv_count_n]);
    $land_n = $country[$srv_count_n];
?>
            <tr>
              <td>
<?php
if ($srv_count_n != 0)
{
?>
<a class="arrow" href="admin.php?m=phgstats&up_n=<?php echo $srv_count_n; ?>"><img src="include/images/icons/pfeilo.gif" alt="up" title="up" border="0"></a>
<?php
}
?>
<img src="include/images/icons/spacer.png" alt="spacer" border="0">
<?php
if ($srv_count_n != count($gameservernavi) - 1)
{
?>
<a class="arrow" href="admin.php?m=phgstats&down_n=<?php echo $srv_count_n; ?>"><img src="include/images/icons/pfeilu.gif" alt="down" title="down" border="0"></a>
<?php
}
?>            </td>
              <td><?php echo $server_n[0]; ?></td>
              <td><?php echo $server_n[1]; ?></td>
              <td><?php echo $server_n[2]; ?></td>
              <td><?php echo $server_n[3]; ?></td>
              <td><?php echo $land_n; ?></td>
              <td align="center"><a href="admin.php?m=phgstats&id_n=<?php echo $srv_count_n; ?>"><img src="include/images/icons/del.gif" alt="Delete/L&ouml;schen" title="Delete/L&ouml;schen" border="0"></a></td>
            </tr>
<?php
}
?>
          <form method="POST" action="admin.php?m=phgstats">
            <tr>
              <td></td>
              <td>
                <select name="gametype">
                  <option value="ts_n">Teamspeak 2</option>
                  <option value="aa_n">Americas Army</option>
                  <option value="atron_n">Armagetronad</option>
                  <option value="bf_n">Battlefield 1942</option>
                  <option value="bfv_n">Battlefield Vietnam</option>
                  <option value="bf2_n">Battlefield 2</option>
                  <option value="cod_n">Call of Duty</option>
                  <option value="cod2_n">Call of Duty 2</option>
                  <option value="d3_n">Doom 3</option>
                  <option value="et_n">Enemy Territory</option>
                  <option value="fear_n">F.E.A.R</option>
                  <option value="hl_old_n">Half-Life / CS OLD</option>
                  <option value="hl_n">Half-Life / CS</option>
                  <option value="hl2_n">Half-Life 2 / CS:S</option>
                  <option value="mohaa_n">Medal of Honor</option>
                  <option value="pk_n">Painkiller</option>
                  <option value="rtcw_n">Return to Caste Wolfenstein</option>
                  <option value="rune_n">Rune</option>
                  <option value="sof2_n">Soldier of Fortune 2</option>
                  <option value="ut_n">Unreal Tournament</option>
                  <option value="ut2003_n">Unreal Tournament 2003</option>
                  <option value="ut2004_n">Unreal Tournament 2004</option>
                  <option value="qw_n">Quakeworld</option>
                  <option value="q1_n">Quake 1</option>
                  <option value="q2_n">Quake 2</option>
                  <option value="q3_n">Quake 3</option>
                  <option value="q4_n">Quake 4</option>
                </select>
              </td>
              <td>
                <input type="text" size="15" name="server_ip">
              </td>
              <td>
                <input type="text" size="5" name="server_port">
              </td>
              <td>
                <input type="text" size="5" name="server_query">
              </td>
              <td>
                <input type="text" size="7" name="country">
              </td>
              <td>
                <input type="submit" name="add_n" value="Add_n / Hinzuf&uuml;gen">
              </td>
            </tr>
          </form>
        </table>
      </td>
    </tr>
  </table><br><br>

<table cellpadding="0" cellspacing="0" border="0" align="center">
<tr><td class="auth" align="center">
<a href="http://phgstats.sourceforge.net/" target="_blank">phgstats 0.6.2</a> &copy; 2004-2006 <a href="
http://woah-projekt.de/" target="_blank">woah-projekt</a>
</td></tr>
</table>
</body>
</html>